VismaBouwsoftAPICalls.v1_POST_AssignmentProducts Method
v1_POST_AssignmentProducts() as String

This API call is used to add a(n) AssignmentProduct

General Description

HTTP method API version
POST v1

Don’t forget to put the Authorization field in the header

API Path: /AssignmentProducts
or

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
assignment_id 1 tpLong 0 No No No
actualcostproducts_id_mapping 1 tpLong 0 No No No
date 3 tpDate 0 No Yes No
product_id 1 tpLong 0 No Yes No
nr 2 tpString 0 No Yes No
description 2 tpString 0 No Yes No
unit 2 tpString 0 No Yes No
unit_localized 2 tpString 0 No No No
quantity 4 tpDouble 0 No Yes No
job_id 1 tpLong 0 No Yes No
job_code 2 tpString 0 No Yes No
job_name 2 tpString 0 No No No
ok 5 tpBool 0 No Yes No
invoice_id 1 tpLong 0 No No No
invoice_nr 1 tpLong 0 No No No

/AssignmentProducts

API Path: /AssignmentProducts/

If everything succeeds the HTTP response status is 201
(201 CREATED)

If you forget to send the Authorization, the response status and code is 401
(401 Unauthorized)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/AssignmentProducts

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: PmVfWxfGjrzSfrrlbfzRqjPGfkOjfGIPfrVkzPkjVjGGOAljAG

Query Parameters :
ParameterName: columns, ParameterValue: assignment_id%3D%7B%22v1_POST_Assignments%20%28test1%29%22%3A%20%22id%22%7D%2Cproduct_id%3D%7B%22v1_POST_Products%20%28test1%29%22%3A%20%22id%22%7D%2Cdate%3D%272022–10–24%27%2Cquantity%3D100

Success gives statuscode 201 And the following result

{“RecordChanges”: [
  {
    "id": 577,
    "assignment_id": 1496,
    "actualcostproducts_id_mapping": 6672,
    "date": "2022–10–24",
    "product_id": 2832401,
    "nr": "190182",
    "description": "Accumulatoren Blue",
    "unit": "st.",
    "unit_localized": "pc.",
    "quantity": 100,
    "job_id": 0,
    "job_code": "",
    "job_name": "",
    "ok": false,
    "invoice_id": 0,
    "invoice_nr": 0
  }
]
}